Subject: Re: linux-next: manual merge of the scsi tree with the tip tree

From: Ingo Molnar <[email-masked]>
Date: Fri, 20 Jan 2017 07:35:52 +0100

* Stephen Rothwell <[email-masked]> wrote:

> Hi James,
> 
> Today's linux-next merge of the scsi tree got a conflict in:
> 
>   drivers/scsi/mpt3sas/mpt3sas_scsih.c
> 
> between commit:
> 
>   e963b7088dac ("scsi: mpt3sas: Fix hang on ata passthru commands")
> 
> from the tip tree and commit:
> 
>   ffb584565894 ("scsi: mpt3sas: fix hang on ata passthrough commands")
> 
> from the scsi tree.
> 
> I fixed it up (slightly different versions of the same patch - I used
> the latter version) and can carry the fix as necessary. This is now
> fixed as far as linux-next is concerned, but any non trivial conflicts
> should be mentioned to your upstream maintainer when your tree is
> submitted for merging.  You may also want to consider cooperating with
> the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

I only had that patch for testing and it went into the -next branch by accident - 
I have removed it so the conflict should be gone next time -next is integrated.

Thanks,

	Ingo